/* $Id: frame.h 266 2008-12-17 19:32:54Z siegl $ */

#ifndef HELICONTROL_FRAME_H
#define HELICONTROL_FRAME_H

typedef union
{
    struct
    {
uint32_t checksum:
        2;
int32_t  yaw:
        3;
int32_t  trim:
        4;
uint32_t throttle:
        4;
uint32_t channel:
        2;
    } picooz;

    struct
    {
uint32_t checksum:
        2;
uint32_t seperator2:
        1;
uint32_t fire:
        2;
uint32_t seperator1:
        2;
int32_t  yaw:
        3;
int32_t  trim:
        2;
uint32_t throttle:
        4;
uint32_t channel:
        2;
    } challenger;

    struct
    {
uint32_t checksum:
        2;
uint32_t seperator2:
        1;
uint32_t light:
        1;
uint32_t seperator1:
        1;
int32_t  pitch:
        2;
int32_t  yaw:
        3;
int32_t  trim:
        2;
uint32_t throttle:
        4;
uint32_t channel:
        2;
    } uranus;

    struct
    {
uint32_t checksum:
        3;
uint32_t yaw:
        5;
uint32_t ptrim:
        5;
int32_t  pitch:
        3;
uint32_t throttle:
        4;
uint32_t light:
        1;
uint32_t channel:
        2;
    } tandemz;

    struct
    {
uint32_t checksum:
        5;
uint32_t unknown:
        4;
int32_t  yaw:
        3;
uint32_t throttle:
        4;
uint32_t channel:
        2;
    } ibird;

    struct
    {
int32_t  yaw:
        4;
uint32_t throttle:
        4;
int32_t  pitch:
        4;
int32_t  roll:
        4;
    } saucer;

    struct
    {
        uint16_t index;
        uint16_t value;
    } usb;

    uint32_t raw;
} frame_t;

frame_t frame;

#endif

