/* $Id: helicontrol_firmware.h 261 2008-12-17 13:34:09Z holgerf $ */

#ifndef HELICONTROL_FIRMWARE_H
#define HELICONTROL_FIRMWARE_H

/* TODO move this */
#ifndef WIN32
#include <stdint.h>
#else
typedef __int32 int32_t;
typedef unsigned __int32 uint32_t;
typedef __int16 int16_t;
typedef unsigned __int16 uint16_t;
typedef __int8 int8_t;
typedef unsigned __int8 uint8_t;
#endif

/* protocols */
#define PROTO_PICOOZ		0x00
#define PROTO_CHALLENGER	0x01
#define PROTO_ATLAS			0x02
#define PROTO_URANUS		0x02
#define PROTO_TANDEMZ		0x03
#define PROTO_IBIRD			0x04
#define PROTO_SAUCER		0x05

/* strings */
#define USB_VendorFirmwareRevIndex 0xFE
#define USB_VendorFirmwareBuildDate 0xFD

/* command requests */
#define CMD_AUTOREPEAT		0xFD
#define CMD_REPEAT_INTERVAL	0xFE
#define CMD_STOP		0xFF

#define DEFAULT_INTERVAL_MS	200

#define TRUE				1
#define FALSE				0

/* framesize */
#define SIZE_PICOOZ			15
#define SIZE_CHALLENGER		18
#define SIZE_URANUS			18
#define SIZE_TANDEMZ		23
#define SIZE_IBIRD			18

#endif

